<template>
  <div class="dashboard-main">
    <div class="row m-0 dashboard-main-container">
      <b-form @submit.prevent="queryRealtime(find)" class="w-100">
        <div class="row m-0 w-100">
          <div class="col-8 col-lg-10 trend-list">
            <b-form-input
              v-model="find"
              required
              placholder="Search Keyword"
            ></b-form-input>
          </div>
          <div class="col col-lg track-submit">
            <b-button class="w-100 button1" type="submit">Search</b-button>
          </div>
        </div>
      </b-form>
    </div>
    <div class="row m-0 dashboard-main-container mt-3">
      <div
        class="col-12 col-md-12 col-xl-4 trend-list"
        v-for="(list, count) in realtimeGet"
        :key="count"
      >
        <div
          class="box text-left w-100"
          v-b-toggle="`collapse-${count}`"
          :class="{ 'bg-blue1': list.sentiment == 'Negative' }"
        >
          <div style="word-wrap: break-word">
            {{
              list.tokenize
                .split(",")
                .slice(0, 8)
                .join()
                .replace(/,/g, "")
            }}...
          </div>
          <b-collapse :id="`collapse-${count}`">
            <hr />
            <div>
              <a :href="list.linktosource" target="_blank">SOURCE</a><br />
            </div>
            <div>TYPE: {{ list.message_type }}</div>
            <div>BRAND: {{ list.brand.join(", ") }}</div>
            <div>TAG: {{ list.message_tag.join(", ") }}</div>
            <div>SENTIMENT: {{ list.sentiment }}</div>
          </b-collapse>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import { Action, Getter } from "vuex-class";

const namespace: string = "dashboard";

@Component({
  name: "Dashboard_Find"
})
export default class Dashboard_Find extends Vue {
  @Action("queryRealtime", { namespace }) queryRealtime!: any;
  @Getter("realtimeGet", { namespace }) realtimeGet!: object;

  find: string = "";
}
</script>

<style>
</style>
